## tuxguitar 1.1

=== Makefile ===
--- 
+++ 
@@ -44,6 +44,8 @@
  TuxGuitar-lilypond \
 \
  TuxGuitar-jsa \
+\
+ TuxGuitar-converter \
 #}subdirs
 
 subdirs_jni?=\
@@ -52,7 +54,7 @@
  TuxGuitar-fluidsynth \
  #}subdirs_jni
 
-#  TuxGuitar-converter # TODO
+#  
 export PACKAGE_JAR 
 ###
