## tuxguitar 1.2

=== TuxGuitar-CoreAudio/jni/Makefile ===
--- 
+++ 
@@ -7,16 +7,16 @@
 
 LIBRARIES = -framework CoreAudio -framework JavaVM -framework AudioUnit -framework AudioToolbox -framework Carbon
 
-LIBRARY = tuxguitar-coreaudio-jni.jnilib
+LIBRARY = libtuxguitar-coreaudio-jni.jnilib
 
 FILENAME = org_herac_tuxguitar_player_impl_midiport_coreaudio_MidiReceiverJNI.cpp
 
 all:	$(LIBRARY)
 
-$(LIBRARY):	$(OBJECT)
+$(LIBRARY):	clean
 	g++ $(INCLUDES) -isysroot $(SDK) -arch ppc $(LIBRARIES) -msse -dynamiclib -o ppc_$(LIBRARY) $(FILENAME)
 	g++ $(INCLUDES) -isysroot $(SDK) -arch i386 $(LIBRARIES) -msse -dynamiclib -o intel_$(LIBRARY) $(FILENAME)
 	lipo -create ppc_$(LIBRARY) intel_$(LIBRARY) -output $(LIBRARY)
-	rm ppc_$(LIBRARY) intel_$(LIBRARY)
 
 clean:
+	rm -f ppc_$(LIBRARY) intel_$(LIBRARY) $(LIBRARY)
