=== debian/changelog ===
tuxguitar (1.2-23) unstable; urgency=medium

  * Team upload.
  * Transition to SWT 4
  * Simplified the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 19 Oct 2017 22:48:13 +0200

tuxguitar (1.2-22) unstable; urgency=medium

  * Team upload.
  * Removed the build dependency on gcj-jdk
  * Standards-Version updated to 3.9.8
  * Use secure Vcs-* URLs
  * Updated debian/watch to track the latest releases on SourceForge

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 08 Jul 2016 12:38:27 +0200

tuxguitar (1.2-21) unstable; urgency=medium

  * Team upload.
  * Move "libjack-jackd2-dev | libjack-dev" from Depends to Build-Depends.
    This fixes a build failure detected by the reproducible build project.
  * Use dpkg-parsechangelog's --show-field in debian/rules.
    Bump versioned build-dep on dpkg-dev.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Fri, 25 Sep 2015 18:22:36 +0200

tuxguitar (1.2-20) unstable; urgency=medium

  * Drop dependency on xulrunner (Closes: #751563)
  * Update debian/copyright for debian/* files.

 -- tony mancill <tmancill@debian.org>  Sat, 14 Jun 2014 10:01:55 -0700

tuxguitar (1.2-19) unstable; urgency=medium

  * Team upload.
  * Update list of alternative xulrunner dependencies.
  * Refresh 03-CVE-2010-3385.patch (offset).
  * Use debhelper (compatibility level) 9.
  * Enable hardening for libraries.
    Use /usr/share/dpkg/buildflags.mk in debian/rules; add patch
    04-hardening-cppflags.patch to pass CPPFLAGS; build depend on new enough
    dpkg-dev.
  * Fix minified jQuery issue.
    Binary package: symlink to packaged version and depend on it.
    Source package: add unminified .js source.

 -- gregor herrmann <gregoa@debian.org>  Sat, 03 May 2014 00:42:24 +0200

tuxguitar (1.2-18) unstable; urgency=medium

  * Team upload.
  * Update list of alternative xulrunner dependencies.

 -- gregor herrmann <gregoa@debian.org>  Thu, 20 Mar 2014 22:55:24 +0100

tuxguitar (1.2-17) unstable; urgency=medium

  * Team upload.
  * Update list of alternative xulrunner-* dependencies.
  * Remove debian/stamp-patched from source package.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Tue, 17 Dec 2013 16:57:29 +0100

tuxguitar (1.2-16) unstable; urgency=low

  * Team upload.
  * Update list of xulrunner-* versions in Depends to what we have in
    Debian.
    Thanks to Andreas Beckmann for the bug report. (Closes: #726730)
  * Use canonical URLs for the Vcs-* fields.
  * debian/rules: don't set DH_VERBOSE.
    Makes the build output more readable.

 -- gregor herrmann <gregoa@debian.org>  Fri, 18 Oct 2013 20:59:10 +0200

tuxguitar (1.2-15) unstable; urgency=low

  * Update list of possible xulrunner dependencies (Closes: #712677)
  * Add "file" to Depends; it is used in /usr/bin/tuxguitar.
  * Allow java2-runtime (and thus openjdk-7-jre) to satisfy depends
    for tuxguitar-jsa.  Remove sun JREs.

 -- tony mancill <tmancill@debian.org>  Tue, 18 Jun 2013 21:37:33 -0700

tuxguitar (1.2-14) experimental; urgency=low

  * Team upload.

  [ Philippe Coval ]
  * Supports also jack2 (Closes: #608041)
  * fix: maintainers email

  [ gregor herrmann ]
  * Make Ubuntu diff obsolete:
    - debian/{control,rules}: don't insert xulrunner dependency on Ubuntu and
      derivatives
    - debian/rules: remove mozilla check from tuxguitar.sh during build on
      Ubuntu and derivates (LP: 1123416)
  * Set Standards-Version to 3.9.4 (no changes).
  * Remove build dependency on quilt (not needed with source format '3.0
    (quilt)').
  * Remove duplicated sections from binary packages in debian/control.

 -- gregor herrmann <gregoa@debian.org>  Tue, 12 Mar 2013 21:03:54 +0100

tuxguitar (1.2-13) unstable; urgency=low

  [ Philippe Coval ]
  * upgrade xulrunner (Closes: #661216)
  * open to comaintenance in pkg-java team

  [ tony mancill ]
  * Convert d/copyright to machine readable format.
  * Update Standards-Version to 3.9.3.

 -- tony mancill <tmancill@debian.org>  Sat, 25 Feb 2012 10:46:31 -0800

tuxguitar (1.2-12) unstable; urgency=low

  * Add xulrunner-8.0 and 9.0 to list of dependencies  (Closes: #647542)
  * Modify debian/rules for BuildArchTarget release goal.

 -- tony mancill <tmancill@debian.org>  Mon, 21 Nov 2011 16:25:53 -0800

tuxguitar (1.2-11) unstable; urgency=low

  * Reorder build depends to address kfreebsd build problem.

 -- tony mancill <tmancill@debian.org>  Mon, 31 Oct 2011 07:33:41 -0700

tuxguitar (1.2-10) unstable; urgency=low

  * debian/control:
    - Add xulrunner-7.0 as an alternate dependency. (Closes: #644921)
  * debian/patches/01-tuxguitar-rzr.patch: Handle xulrunner-7.0.
  * debian/patches/03-CVE-2010-3385.patch: Refresh/rediff.
    (Thanks to Daniel T Chen for the patch.)

 -- tony mancill <tmancill@debian.org>  Sun, 16 Oct 2011 08:43:16 -0700

tuxguitar (1.2-9.1) unstable; urgency=low

  * Non-maintainer upload, with co-maintainer's permission.
  * Fix "depends on obsolete xulrunner-1.9.1": update Depends and
    01-tuxguitar-rzr.patch (closes: #637372).

 -- gregor herrmann <gregoa@debian.org>  Thu, 11 Aug 2011 22:16:07 +0200

tuxguitar (1.2-9) unstable; urgency=low

  * Update debian/control 
    - build/depend on swt-gtk-3 (3.7) instead of 3.6.
    - replace build-dep on gcj with gcj-jdk
    - replace dependency on libswt-mozilla-gtk-3-jni 
      with libswt-webkit-gtk-3-jni
  * Update debian/patches/01-tuxguitar-rzr.patch for classpath changes

 -- tony mancill <tmancill@debian.org>  Tue, 26 Jul 2011 22:59:03 -0700

tuxguitar (1.2-8) unstable; urgency=low

  * Update depend on swt-gtk 3.6 (Closes: #621864)
  * Bump Standards-Version to 3.9.2.

 -- tony mancill <tmancill@debian.org>  Sat, 09 Apr 2011 23:08:37 -0700

tuxguitar (1.2-7) unstable; urgency=medium

  * Apply patch for CVE-2010-3385 (Closes: #598307)
    Thanks to Etienne Millon

 -- tony mancill <tmancill@debian.org>  Tue, 12 Oct 2010 06:32:31 -0700


