=== debian/control ===
Source: tuxguitar
Section: sound
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Philippe Coval <rzr@gna.org>,
           tony mancill <tmancill@debian.org>
Build-Depends: ant,
               debhelper (>= 9),
               default-jdk,
               docbook-to-man,
               docbook-utils,
               dpkg-dev (>= 1.17.0~),
               libasound2-dev | liboss4-salsa-dev,
               libfluidsynth-dev,
               libitext-java,
               libjack-jackd2-dev | libjack-dev,
               libswt-gtk-4-java
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-java/tuxguitar.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/tuxguitar.git
Homepage: http://www.tuxguitar.com.ar

Package: tuxguitar
Architecture: all
Depends: default-jre | java2-runtime,
         file,
         libitext-java,
         libjs-jquery,
         libswt-cairo-gtk-4-jni,
         libswt-gtk-4-java,
         libswt-webkit-gtk-4-jni,
         ${misc:Depends}
Recommends: tuxguitar-alsa (= ${source:Version}),
            tuxguitar-oss (= ${source:Version})
Suggests: lilypond,
          tuxguitar-jsa (= ${source:Version})
Description: Multitrack guitar tablature editor and player (gp3 to gp5)
 TuxGuitar is a multitrack Guitar tablature editor and player.
 It can open GP3, GP4, and GP5 files and exports in MIDI and PDF.

Package: tuxguitar-jsa
Architecture: all
Depends: default-jre | java2-runtime,
         tuxguitar (= ${source:Version}),
         ${misc:Depends}
Description: tuxguitar plugin for sound playback using Java Sound API
 Use Tuxguitar along this plugin if unsure, other sounds can be used too.

Package: tuxguitar-alsa
Architecture: any
Depends: tuxguitar (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: timidity
Description: tuxguitar plugin for sound playback using ALSA
 Use Tuxguitar along this plugin if your Sound Device is supported by ALSA.
 A MIDI expander is required (Hardware or Software).

Package: tuxguitar-oss
Architecture: any
Depends: oss-compat,
         tuxguitar (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: timidity
Priority: extra
Description: tuxguitar plugin for sound playback using OSS
 Use Tuxguitar along this plugin if your Sound Device is supported by OSS.
 A MIDI expander is required (Hardware or Software).

Package: tuxguitar-fluidsynth
Architecture: any
Depends: fluidsynth,
         tuxguitar (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Priority: extra
Description: tuxguitar plugin for sound playback using fluidsynth
 Use Tuxguitar along this plugin if your audio system is configured for
 fluidsynth as MIDI expander.

Package: tuxguitar-jack
Architecture: any
Depends: tuxguitar (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: qjackctl
Priority: extra
Description: tuxguitar plugin for sound playback using JACKD
 Use Tuxguitar along this plugin if your Sound Device is supported by JACK.
 A MIDI expander is required (Hardware or Software).
