=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-
default: build

#export DH_VERBOSE=1
MAINPACKAGE?=$(shell dpkg-parsechangelog -S Source)
PACKAGE?=tuxguitar
JAVA_HOME=/usr/lib/jvm/default-java
JAVA?=${JAVA_HOME}/jre/bin/java
JAVAC?=${JAVA_HOME}/bin/javac
export JAVAC JAVA JAVA_HOME
DEB_DESTDIR?=${CURDIR}/debian/${MAINPACKAGE}
DEB_DESTDIR_TMP?=${CURDIR}/debian/tmp/${MAINPACKAGE}

# build flags for hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
#	${MAKE} clean ${MAKE}
	docbook-to-man misc/${PACKAGE}.sgml > debian/${PACKAGE}.1
	touch $@

distclean: clean

clean:
	dh_testdir
	dh_testroot
	${MAKE} -k clean distclean $@ || echo "Ignored"
	${RM} -f build-stamp configure-stamp
	${RM} -f debian/${PACKAGE}.1 ./TuxGuitar/tuxguitar
	${RM} -rf TuxGuitar/build
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	${MAKE} $@ DESTDIR=${DEB_DESTDIR}
	${MAKE} $@-linux DESTDIR=${DEB_DESTDIR_TMP}
	install -d ${DEB_DESTDIR}/usr/bin/
	rm -vf ${DEB_DESTDIR}/usr/share/tuxguitar/doc/LICENSE
	dh_install

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs --exclude=LICENSE
	dh_installexamples
	dh_install
	dh_installmenu
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure

#eof "$Id: debian/rules $"
