=== debian/watch ===
version=3
http://sf.net/tuxguitar/tuxguitar-(.*)-src.tar.gz
