=== debian/changelog ===
tuxguitar (1.5.6+dfsg1-8build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:27:50 +1100

tuxguitar (1.5.6+dfsg1-8build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:20:36 +0000

tuxguitar (1.5.6+dfsg1-8build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:04:34 +0000

tuxguitar (1.5.6+dfsg1-8) unstable; urgency=medium

  * QA upload
  * Add dependency on libcommons-compress-java (Closes: #1043253)
    Thank you to Freddybobjo for the Salsa merge request.

 -- tony mancill <tmancill@debian.org>  Tue, 19 Dec 2023 21:36:15 -0800

tuxguitar (1.5.6+dfsg1-7) unstable; urgency=medium

  * QA upload
  * Fix CVE-2020-14940 (Closes: #963626)
  * Try build on every Linux arch

 -- Bastian Germann <bage@debian.org>  Mon, 06 Nov 2023 23:13:56 +0100

tuxguitar (1.5.6+dfsg1-6) unstable; urgency=medium

  * QA upload.
  * Exclude mips-based archs from build for arch-any binary packages

 -- tony mancill <tmancill@debian.org>  Tue, 31 Jan 2023 21:05:02 -0800

tuxguitar (1.5.6+dfsg1-5) unstable; urgency=medium

  * QA upload.
  * Address installation problem with tuxguitar-alsa (Closes: #1029622)
    - Stop installing maven coords in arch-any package
    - Don't build native modules during arch-all build
    - No longer call clean maven target
    - Remove debian/tuxguitar-alsa.pom symlink in dh_auto_clean target

 -- tony mancill <tmancill@debian.org>  Fri, 27 Jan 2023 22:12:39 -0800

tuxguitar (1.5.6+dfsg1-4) unstable; urgency=medium

  * QA upload.
  * Override autoconf target FTBFS for arch-any (Closes: #1029476)
    Thank you to Helmar Gerloni for the idea.
  * Revert change to build architectures to try "all" again.

 -- tony mancill <tmancill@debian.org>  Tue, 24 Jan 2023 20:44:33 -0800

tuxguitar (1.5.6+dfsg1-3) unstable; urgency=medium

  * QA upload.
  * Update 11-eclipse-swt.patch

 -- tony mancill <tmancill@debian.org>  Thu, 19 Jan 2023 22:25:45 -0800

tuxguitar (1.5.6+dfsg1-2) unstable; urgency=medium

  * QA upload.
  * Source-only upload
  * Restrict build architectures to amd64 and arm64 (Closes: #1029108)

 -- tony mancill <tmancill@debian.org>  Thu, 19 Jan 2023 20:54:03 -0800

tuxguitar (1.5.6+dfsg1-1) unstable; urgency=medium

  [ Helmar Gerloni ]
  * QA upload.
  * New upstream release (Closes: #819332)
    - Lithuaninan translation is included (Closes: #594758)
  * New build system Maven.
  * debian/rules: Changed for Maven build.
  * Added debian/maven.rules.
  * debian/control: Added package tuxguitar-synth-lv2 and updated dependencies.
  * debian/copyright:
    - Drop non-Linux, legacy, non-free and some unused code.
    - Drop MagicSFver2.sf2 because of unclear license.
  * debian/watch: Added dfsg opts.
  * Updated debian/clean.
  * Removed debian/missing-sources/jquery-1.2.6.js since it is not referenced in
    the help pages any more.
  * debian/tuxguitar.links:
    - Removed link to usr/share/javascript/jquery/jquery.min.js.
    - Added link to /usr/bin/tuxguitar.
  * Updated debian/README.Debian.
  * Added debian/tuxguitar.sh.
  * Added debian/tuxguitar.desktop.
  * /debian/patches/:
    - 01-tuxguitar-rzr.patch removed (partially applied upstream, obsolete)
    - 02-desktop.patch removed (replaced by debian/tuxguitar.desktop)
    - 03-CVE-2010-3385.patch removed (obsolete)
    - 04-hardening-cppflags.patch: Removed TuxGuitar-winmm part
    - 05-drop_xulrunner.patch removed (obsolete)
    - 06-swt4.patch removed (replaced by debian/tuxguitar.sh)
    - 07-git_new_libfluidsynth.patch removed (partially in upstream, obsolete)
    - 11-eclipse-swt.patch added (use debian swt)
    - 12-remove-thirth-party-libs.patch added (use Debian libs)
    - 13-remove-vst.patch added (do not build non-free VST plugin)
    - 14-replace-soundfont.patch added (use fluid-soundfont-gm)
    - 15-path-to-lv2.patch added (fix path to tuxguitar-synth-lv2.bin)
    - 16-fix-cflags.patch added (add -g flag, remove -m64)
  * /debian/*.install: Updated to new files and locations.

  [ tony mancill ]
  * Add lintian overrides for long HTML lines
  * Update debian/copyright to document source files under licenses
    other than the LGPL

 -- Helmar Gerloni <helmar@gerloni.net>  Sat, 14 Jan 2023 17:06:34 +0100

tuxguitar (1.2-26) unstable; urgency=medium

  * Update Maintainer to orphan the package (Debian bug #1013777)

 -- tony mancill <tmancill@debian.org>  Sat, 25 Jun 2022 08:26:34 -0700

tuxguitar (1.2-25) unstable; urgency=medium

  * Team upload.

  [ Sebastien Bacher ]
  * debian/patches/07-git_new_libfluidsynth.patch:
    - backport an upstream commit to build with the new libfluidsynth
      (Closes: #946848)

  [ gregor herrmann ]
  * Declare compliance with Debian Policy 4.4.1.
  * Remove dpkg-dev from Build-Depends.
    dpkg-dev is build-essential, and the previously required version is
    satisfied even in oldoldstable.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * Use secure URI in debian/watch.
  * Set bindnow linker flag in debian/rules.
  * Use HTTPS for two URLs in debian/copyright.
  * Update years of packaging copyright.
  * Don't install anything into /usr/share/tuxguitar/doc.
  * Fix day-of-week for changelog entries 1.1-1ubuntu1, 0.9.99~1.0rc3-1.

 -- gregor herrmann <gregoa@debian.org>  Mon, 16 Dec 2019 20:27:02 +0100

tuxguitar (1.2-24) unstable; urgency=medium

  * Team upload.
  * Build with the DH sequencer
  * No longer call update-{mime,desktop}-database in the maintainer scripts
    (Closes: #860845)
  * Standards-Version updated to 4.4.0
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Replaced the priority extra with optional
  * Removed the Debian menu file

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 11 Sep 2019 23:33:26 +0200
