=== debian/control ===
Source: tuxguitar
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Section: sound
Priority: optional
Build-Depends: debhelper-compat (= 13),
               maven-debian-helper (>= 2.6),
               libmaven-antrun-plugin-java,
               libmaven-compiler-plugin-java,
               libmaven-dependency-plugin-java,
               libmaven-jar-plugin-java,
               default-jdk,
               docbook-to-man,
               libswt-gtk-4-java,
               libitext5-java,
               libasound2-dev,
               libjack-jackd2-dev,
               libfluidsynth-dev,
               liblilv-dev, libsuil-dev, qtbase5-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/java-team/tuxguitar
Vcs-Git: https://salsa.debian.org/java-team/tuxguitar.git
Homepage: http://www.tuxguitar.com.ar
Rules-Requires-Root: no

Package: tuxguitar
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends},
         default-jre,
         libswt-cairo-gtk-4-jni, libeclipse-e4-ui-widgets-java,
         fluid-soundfont-gm,
         libcommons-compress-java
Suggests: ${maven:OptionalDepends},
          tuxguitar-jsa (= ${source:Version}),
          lilypond
Description: Multitrack guitar tablature editor and player
 TuxGuitar is a multitrack guitar tablature editor and player written in
 Java-SWT. It can open GuitarPro, PowerTab and TablEdit files.

Package: tuxguitar-jsa
Architecture: all
Depends: ${misc:Depends},
         tuxguitar (= ${source:Version})
Description: tuxguitar plugin for sound playback using Java Sound API
 Use Tuxguitar along this plugin if unsure, other sounds can be used too.

Package: tuxguitar-alsa
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
         tuxguitar (= ${source:Version})
Suggests: timidity
Description: tuxguitar plugin for sound playback using ALSA
 Use Tuxguitar along this plugin if your Sound Device is supported by ALSA.
 A MIDI expander is required (Hardware or Software).

Package: tuxguitar-oss
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
         tuxguitar (= ${source:Version}),
         oss-compat
Suggests: timidity
Description: tuxguitar plugin for sound playback using OSS
 Use Tuxguitar along this plugin if your Sound Device is supported by OSS.
 A MIDI expander is required (Hardware or Software).

Package: tuxguitar-fluidsynth
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
         tuxguitar (= ${source:Version}),
         fluidsynth
Description: tuxguitar plugin for sound playback using fluidsynth
 Use Tuxguitar along this plugin if your audio system is configured for
 fluidsynth as MIDI expander.

Package: tuxguitar-jack
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
         tuxguitar (= ${source:Version})
Suggests: qjackctl
Description: tuxguitar plugin for sound playback using JACKD
 Use Tuxguitar along this plugin if your Sound Device is supported by JACK.
 A MIDI expander is required (Hardware or Software).

Package: tuxguitar-synth-lv2
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
         tuxguitar (= ${source:Version})
Description: tuxguitar LV2 audio plugin
 LV2 is an extensible open standard for audio plugins.
