=== debian/rules ===
#! /usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java
export JAVA?=${JAVA_HOME}/bin/java

# build flags for hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	# Since our build system is maven, give mh_patchpoms something
	# to patch so arch-any builds succeed.
	# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1029476
	ln -s tuxguitar.poms debian/tuxguitar-alsa.poms
	dh_auto_configure

override_dh_auto_clean:
	-rm -f debian/tuxguitar-alsa.poms
	dh_auto_clean

override_dh_auto_build-arch:
	dh_auto_build --sourcedirectory=build-scripts/tuxguitar-linux-x86_64 -- -e verify -Dnative-modules=true

override_dh_auto_build-indep:
	dh_auto_build --sourcedirectory=build-scripts/tuxguitar-linux-x86_64 -- -e verify -Dnative-modules=false
	docbook-to-man misc/tuxguitar.sgml > debian/tuxguitar.1

override_dh_auto_install:
	dh_auto_install
	-rm -rf ./debian/tuxguitar-alsa/usr/share/maven-repo
