=== debian/watch ===
version=4
opts=\
  repacksuffix=+dfsg1,\
  dversionmangle=auto \
https://sf.net/tuxguitar/tuxguitar-@ANY_VERSION@-src@ARCHIVE_EXT@
