## tuxguitar 1.6.4+dfsg1

=== debian/changelog ===
tuxguitar (1.6.4+dfsg1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release (Closes: #1063268)
  * Upstream removed package tuxguitar-oss (Closes: #1075589)
  * TuxGuitar now supports custom tuning presets (Closes: #590982)
  * Merged package tuxguitar-jsa into tuxguitar (default audio output method)
  * debian/*:
    - Updated all debian files to the new upstream source directory structure
      and new file names
  * debian/control:
    - Updated dependencies
    - Updated upstream homepage
  * debian/copyright:
    - Updated upstream contact and source repository
    - Updated copyright holders
  * debian/rules:
    - Replace the pseudo build version 9.99-SNAPSHOT by the current Version of
      TuxGuitar in all xml and html files because upstream changed the way the
      upstream tarballs are provided
    - Added --buildsystem=maven to dh_auto_configure to make sure that
      mh_patchpoms is called
  * debian/watch:
    - Updated upstream download URL
  * debian/upstream/metadata:
    - Updated upstream source repository from SF to Github
  * debian/source/lintian-overrides updated
  * debian/tuxguitar.desktop removed (upstream version can be used now)
  * debian/tuxguitar.triggers added
  * /debian/patches/:
    - 04-hardening-cppflags.patch updated
    - 10-fix-CVE-2020-14940.patch removed (fixed upstream)
    - 11-eclipse-swt.patch updated
    - 12-remove-thirth-party-libs.patch updated
    - 13-remove-vst.patch removed (VST plugin was removed upstream)
    - 14-replace-soundfont.patch updated
    - 15-path-to-lv2.patch updated
    - 16-fix-cflags.patch updated
    - 26-tuxguitar-sh.patch added (replaces debian/tuxguitar.sh)

 -- Helmar Gerloni <helmar@gerloni.net>  Sat, 24 Aug 2024 12:42:38 +0100
