=== debian/control ===
Source: tuxguitar
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: sound
Priority: optional
Build-Depends: debhelper-compat (= 13),
               docbook-to-man,
               libasound2-dev,
               libfluidsynth-dev,
               libitext5-java,
               libjack-jackd2-dev,
               liblilv-dev,
               libmaven-antrun-plugin-java,
               libmaven-dependency-plugin-java,
               libsuil-dev,
               libswt-gtk-4-java,
               libwebkit2gtk-4.1-dev,
               maven-debian-helper (>= 2.6),
               qtbase5-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/java-team/tuxguitar
Vcs-Git: https://salsa.debian.org/java-team/tuxguitar.git
Homepage: https://www.tuxguitar.app
Rules-Requires-Root: no

Package: tuxguitar
Architecture: all
Depends: ${misc:Depends},
         default-jre,
         fluid-soundfont-gm,
         libcommons-compress-java,
         libeclipse-e4-ui-widgets-java,
         libswt-cairo-gtk-4-jni
Recommends: fonts-wqy-zenhei,
            guitarix-lv2,
            libwebkit2gtk-4.1-0
Suggests: lilypond
Conflicts: tuxguitar-jsa,
           tuxguitar-oss
Provides: tuxguitar-jsa
Replaces: tuxguitar-jsa
Description: Multitrack guitar tablature editor and player
 TuxGuitar is a multitrack guitar tablature editor and player written in
 Java-SWT. It can open GuitarPro, PowerTab and TablEdit files.

Package: tuxguitar-alsa
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tuxguitar (= ${source:Version})
Suggests: timidity
Description: tuxguitar plugin for sound playback using ALSA
 Use Tuxguitar along this plugin if your Sound Device is supported by ALSA.
 A MIDI expander is required (Hardware or Software).

Package: tuxguitar-fluidsynth
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tuxguitar (= ${source:Version})
Description: tuxguitar plugin for sound playback using fluidsynth
 Use Tuxguitar along this plugin if your audio system is configured for
 fluidsynth as MIDI expander.

Package: tuxguitar-jack
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tuxguitar (= ${source:Version})
Suggests: qjackctl
Description: tuxguitar plugin for sound playback using JACKD
 Use Tuxguitar along this plugin if your Sound Device is supported by JACK.
 A MIDI expander is required (Hardware or Software).

Package: tuxguitar-synth-lv2
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tuxguitar (= ${source:Version})
Description: tuxguitar LV2 audio plugin
 LV2 is an extensible open standard for audio plugins.
