## tuxguitar 1.6.6+dfsg1

=== debian/changelog ===
tuxguitar (1.6.6+dfsg1-3) unstable; urgency=medium

  * QA upload.
  * debian/patches/26-tuxguitar-sh.patch:
    Add commons-io.jar to CLASSPATH (Closes: #1099681)

 -- Helmar Gerloni <helmar@gerloni.net>  Thu, 10 Apr 2025 21:39:16 +0200

tuxguitar (1.6.6+dfsg1-2) unstable; urgency=medium

  * QA upload.
  * Remove -fcf-protection from 16-fix-cflags.patch for builds
    on architectures other than amd64.
    Thank you to Helmar Gerloni for triaging the issue.

 -- tony mancill <tmancill@debian.org>  Wed, 08 Jan 2025 12:47:22 -0800

tuxguitar (1.6.6+dfsg1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release (Closes: #1092035)
  * debian/control:
    Replace libwebkit2gtk-4.1-0 with libswt-webkit-gtk-4-jni in Recommends
    (Closes: #1092036)
    Move "Recommends: guitarix-lv2" from tuxguitar to tuxguitar-synth-lv2
  * debian/patches/26-tuxguitar-sh.patch:
    Add WEBKIT_DISABLE_COMPOSITING_MODE=1 (Closes: #1092036)
  * debian/patches/27-debian-version.patch:
    Add "(Debian)" to version displayed in the "Help -> About" dialog to
    distinguish this package from the upstream builds
  * debian/patches/28-debian-help-soundfont.patch:
    Add note about changed soundfont in Debian to the help pages
  * debian/patches/16-fix-cflags.patch:
    Add hardening flags suggested by blhc
  * debian/copyright: Update Files-Excluded list
  * debian/README.Debian: Update plugin name

 -- Helmar Gerloni <helmar@gerloni.net>  Mon, 06 Jan 2025 10:43:04 +0100
