=== debian/watch ===
version=4
opts=\
  repacksuffix=+dfsg1,\
  dversionmangle=auto \
https://github.com/helge17/tuxguitar/tags .*/([0-9]+\.[0-9]+\.[0-9])+\.tar\.gz
