## tuxguitar 2.0.0+dfsg1

=== debian/changelog ===
tuxguitar (2.0.0+dfsg1-3) unstable; urgency=medium

  * QA upload.
  * Really fix clean target. Closes: #1102757.

 -- Santiago Vila <sanvila@debian.org>  Sat, 27 Dec 2025 01:30:00 +0100

tuxguitar (2.0.0+dfsg1-2) unstable; urgency=medium

  * QA upload.
  * Change version in pom.xml files using a patch.
  * Fix clean target. Closes: #1102757.
  * d/control: Move orphaned package to the debian namespace in salsa.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.
  * Add some lintian-overrides.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Thu, 25 Dec 2025 23:05:00 +0100

tuxguitar (2.0.0+dfsg1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release (Closes: #1120536)
  * debian/copyright:
    - Update Files-Excluded list
    - Update copyright holders
  * /debian/patches/:
    - 04-hardening-cppflags.patch updated
    - 11-eclipse-swt.patch updated
    - 26-tuxguitar-sh.patch updated (partially applied upstream)
    - 27-debian-version.patch updated
    - 28-debian-help-soundfont.patch updated
  * debian/rules: updated
  * debian/tuxguitar.poms: updated
  * debian/source/lintian-overrides: added all *.html help files

 -- Helmar Gerloni <helmar@gerloni.net>  Tue, 11 Nov 2025 22:31:05 +0100
