=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: tuxguitar
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: sound
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                docbook-to-man,
                libasound2-dev,
@@ -16,11 +15,10 @@
                libwebkit2gtk-4.1-dev,
                maven-debian-helper (>= 2.6),
                qtbase5-dev
-Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/java-team/tuxguitar
-Vcs-Git: https://salsa.debian.org/java-team/tuxguitar.git
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/debian/tuxguitar
+Vcs-Git: https://salsa.debian.org/debian/tuxguitar.git
 Homepage: https://www.tuxguitar.app
-Rules-Requires-Root: no
 
 Package: tuxguitar
 Architecture: all
@@ -31,8 +29,7 @@
          libeclipse-e4-ui-widgets-java,
          libswt-cairo-gtk-4-jni
 Recommends: fonts-wqy-zenhei,
-            guitarix-lv2,
-            libwebkit2gtk-4.1-0
+            libswt-webkit-gtk-4-jni
 Suggests: lilypond
 Conflicts: tuxguitar-jsa,
            tuxguitar-oss
@@ -76,5 +73,6 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          tuxguitar (= ${source:Version})
+Recommends: guitarix-lv2
 Description: tuxguitar LV2 audio plugin
  LV2 is an extensible open standard for audio plugins.
