=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # Current TuxGuitar source version (see misc/build_tuxguitar_from_source.sh)
-TGSRCVER := $(shell grep 'CURRENT = new TGVersion' common/TuxGuitar-lib/src/org/herac/tuxguitar/util/TGVersion.java | awk -F '[(,)]' '{ print $$2"."$$3"."$$4 }')
+TGSRCVER := $(shell grep 'CURRENT = new TGVersion' common/TuxGuitar-lib/src/main/java/app/tuxguitar/util/TGVersion.java | awk -F '[(,)]' '{ print $$2"."$$3"."$$4 }')
 
 %:
 	dh $@ --no-parallel
-
-execute_before_dh_auto_build:
-	# Change build version from 9.99-SNAPSHOT to ${TGSRCVER} in config files (see misc/build_tuxguitar_from_source.sh)
-	find . \( -name "*.xml" -or -name "*.html" \) -and -type f -exec sed -i "s/9.99-SNAPSHOT/${TGSRCVER}/" '{}' \;
 
 override_dh_auto_configure:
 	# Since our build system is maven, give mh_patchpoms something
@@ -28,6 +24,9 @@
 
 override_dh_auto_clean:
 	-rm -f debian/tuxguitar-alsa.poms
+	find . -name target | xargs rm -rf
+	rm -rf debian/maven-repo
+	mh_unpatchpoms -p$(shell dh_listpackages)
 	dh_auto_clean
 
 override_dh_auto_build-arch:
@@ -37,6 +36,5 @@
 	dh_auto_build --sourcedirectory=desktop/build-scripts/tuxguitar-linux-swt -- -e verify -Dnative-modules=false
 	docbook-to-man misc/tuxguitar.sgml > debian/tuxguitar.1
 
-override_dh_auto_install:
-	dh_auto_install
-	-rm -rf ./debian/tuxguitar-alsa/usr/share/maven-repo
+execute_after_dh_install:
+	find debian -name "*.html" -type f -exec sed -i "s/9.99-SNAPSHOT/${TGSRCVER}/" '{}' \;
